package com.yihu.jw.entity.hospital.consult;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
* 医院咨询计费价目表实体
*
* @author Administrator on  2019年05月16日
*
*/
@Entity
@Table(name = "wlyy_hospital_consult_price")
public class WlyyHospitalConsultPriceDO extends UuidIdentityEntityWithOperator {

    /**
	 * 
	 */
	private String saasId;

    /**
	 * 0图文 1视频
	 */
	private Integer type;

    /**
	 * 0按次收费 1计时收费 3固定时长收费 4
	 */
	private Integer payType;

    /**
	 * 服务科室
	 */
	private String dept;

    /**
	 * 0专家 1主任 2医师
	 */
	private String doctorJob;

    /**
	 * 0帮扶医院、社区  1普通患者
	 */
	private String serviceRange;

    /**
	 * 价格
	 */
	private Integer price;

    /**
     * 医院编码
     */
    private String hospital
            ;


	@Column(name = "saas_id")
    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

	@Column(name = "type")
    public Integer getType() {
        return type;
    }
    public void setType(Integer type) {
        this.type = type;
    }

	@Column(name = "pay_type")
    public Integer getPayType() {
        return payType;
    }
    public void setPayType(Integer payType) {
        this.payType = payType;
    }

	@Column(name = "dept")
    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

	@Column(name = "doctor_job")
    public String getDoctorJob() {
        return doctorJob;
    }
    public void setDoctorJob(String doctorJob) {
        this.doctorJob = doctorJob;
    }

	@Column(name = "service_range")
    public String getServiceRange() {
        return serviceRange;
    }
    public void setServiceRange(String serviceRange) {
        this.serviceRange = serviceRange;
    }

	@Column(name = "price")
    public Integer getPrice() {
        return price;
    }
    public void setPrice(Integer price) {
        this.price = price;
    }

    @Column(name = "hospital")
    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }
}